Bug 1765591 - Review Request: oval-graph - Tool for visualization of SCAP rule evaluation results
Summary: Review Request: oval-graph - Tool for visualization of SCAP rule evaluation r...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Jaroslav Škarvada
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-25 14:09 UTC by Jan Rodák
Modified: 2020-06-14 08:01 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-06-14 08:01:05 UTC
Type: ---
jskarvad: fedora-review+


Attachments (Terms of Use)

Description Jan Rodák 2019-10-25 14:09:35 UTC
Spec URL: https://copr-be.cloud.fedoraproject.org/results/hony/OVAL-visualization-as-graph/fedora-30-x86_64/01080114-oval_graph/oval_graph.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/hony/OVAL-visualization-as-graph/fedora-30-x86_64/01080114-oval_graph/oval_graph-0.0.1-1.fc30.noarch.rpm
Description: This project is creats a tool that displays the results of evaluating SCAP rules. In the form of a tree according to the OVAL standard. Using the arf-to-graph command, you can simply view the result of rule.
Fedora Account System Username: hony

Comment 1 Jaroslav Škarvada 2019-11-05 17:02:19 UTC
Issues:
- Regarding the package name why the underscore "_" is used? On the pypi page it seems the project is listed as "oval-graph". Dash should be used preferably [1]. As upstream what name do you want the project to have?
- I think you should use %{?dist} not %{dist} [2]
- Package doesn't own /usr/lib/python3.8/site-packages/oval_graph directory
- What's the license of the schemas? I can find:
  xmldsig-core-schema.xsd - https://www.w3.org/Consortium/Legal/copyright-software-19980720 and according to the FAQ [3], this probably can be released with ASL, but I guess that 'and W3C' should be added to the license tag [4].
  xAL.xsd - Copyright(c) 2000, OASIS. All Rights Reserved [http://www.oasis-open.org - I am not sure under which license this is released
  xNL.xsd - the same as xAL.xsd
- Why bash is needed as an requirement?

Comments:
- Please for the next time upload SRPM, not noarch.rpm.
- tree_html_interpreter/index.html has CR+LF line endings. Is it needed? Couldn't is use just LF endings? Similarly for the .xsd files.

[1] https://docs.fedoraproject.org/en-US/packaging-guidelines/Naming/#_separators
[2] https://docs.fedoraproject.org/en-US/packaging-guidelines/DistTag/
[3] http://www.w3.org/Consortium/Legal/IPR-FAQ-20000620.html#DTD
[4] https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing#SoftwareLicenses

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Dist tag is present.


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[?]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. No licenses found. Please check the source files for
     licenses manually.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib/python3.8/site-packages/oval_graph
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/python3.8/site-
     packages/oval_graph
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[ ]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[?]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Binary eggs must be removed in %prep
     Note: Cannot find any build in BUILD directory (--prebuilt option?)
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[?]: Final provides and requires are sane (see attachments).
     Not sure about the bash
[?]: Package functions as described.
     Not tested
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: oval_graph-0.0.1-1.fc32.noarch.rpm
          oval_graph-0.0.1-1.fc32.src.rpm
oval_graph.noarch: W: no-manual-page-for-binary arf-to-graph
oval_graph.src: W: spelling-error %description -l en_US arf -> barf, far, are
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "cs_CZ.utf8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "cs_CZ.utf8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
oval_graph.noarch: W: invalid-url URL: https://pypi.org/project/oval_graph/ <urlopen error [Errno -2] Name or service not known>
oval_graph.noarch: W: no-manual-page-for-binary arf-to-graph
1 packages and 0 specfiles checked; 0 errors, 2 warnings.



Source checksums
----------------
https://files.pythonhosted.org/packages/source/o/oval_graph/oval_graph-0.0.1.tar.gz :
  CHECKSUM(SHA256) this package     : c4f113e8f015f5058a13b322ddd749c5b299a8bf2e5798f725edb0e6da34f306
  CHECKSUM(SHA256) upstream package : c4f113e8f015f5058a13b322ddd749c5b299a8bf2e5798f725edb0e6da34f306


Requires
--------
oval_graph (rpmlib, GLIBC filtered):
    /usr/bin/python3
    bash
    python(abi)
    python3.8dist(lxml)
    python3.8dist(setuptools)



Provides
--------
oval_graph:
    oval_graph
    python3.8dist(oval-graph)
    python3dist(oval-graph)



Generated by fedora-review 0.7.3 (44b83c7) last change: 2019-09-18
Command line :/usr/bin/fedora-review -n oval_graph
Buildroot used: fedora-rawhide-{{ target_arch }}
Active plugins: Python, Generic, Shell-api
Disabled plugins: Haskell, Ocaml, Perl, C/C++, Java, PHP, SugarActivity, fonts, R
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 3 Jaroslav Škarvada 2019-11-14 16:20:54 UTC
(In reply to Jan Rodák from comment #2)
> I fixed the issues. Here are new links to Spec and SRPM files.
> 

I think the following is not needed:

%global name        oval-graph
%global module      oval_graph
%global version     0.0.2
...
Name:               %{name}
Version:            %{version}
...
Source0:            https://files.pythonhosted.org/packages/source/o/%{name}/%{module}-%{version}.tar.gz

You could probably simplify it to:

%global pypi_name oval_graph
Name:               oval-graph
Version:            0.0.2
Source0:            %pypi_source

This also automatically defines %{name} and %{version} macros which you could use later in the spec. Also IMHO alternatively instead of the pypi_name probably also the srcname could be used. But if you as the upstream decides the the correct upstream name is with the underscore "_" I would have no problem with the "oval_graph" package name.

Another minor thing, you introduced spurious LF in the end of the spec file.

Nevertheless this all seems minor, so approving.

Comment 4 Gwyn Ciesla 2019-11-19 14:48:18 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/oval-graph

Comment 5 Mattia Verga 2020-06-14 08:01:05 UTC
This package was approved and imported in repositories, but this review ticket was never closed.
I'm closing it now.


Note You need to log in before you can comment on or make changes to this bug.